@echo off
rem To build and install the additional libraries, execute this file in the \agena\src subfolder
rem in a plain NT shell, and not in MinGW.

set gccopts=-Wall -O3 -shared -I. -L. -lagena

set OLDPATH=%PATH%
set PATH=%PATH%;c:\mingw\bin

echo Buildung numarray.
gcc -O2 -DLUA_BUILD_AS_DLL -c -o numarray.o numarray.c
gcc -O -shared -fpic -o numarray.dll numarray.o -L. -lagena

echo.
echo Slimming and moving `numarray` package.
strip --strip-unneeded numarray.dll
copy numarray.dll ..\lib >> NUL

echo Installed `numarray` library into Agena /lib folder.

del numarray.dll

set gccopts=
set PATH=%OLDPATH%
set OLDPATH=